Package org.springframework.web.servlet.mvc.condition

# Interface MediaTypeExpression

public interface MediaTypeExpression
A contract for media type expressions (for example, "text/plain", "!text/plain") as defined in the `@RequestMapping` annotation for "consumes" and "produces" conditions.

Since:
  3.1
Author:
  Rossen Stoyanchev
See Also:
  - `RequestMapping.consumes()`
  - `RequestMapping.produces()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.http.MediaType`
`getMediaType()`
`boolean`
`isNegated()`

## Method Details

### getMediaType

org.springframework.http.MediaType getMediaType()

### isNegated

boolean isNegated()